%define module urllib3

Name:           python-%{module}
Version:        1.26.9
Release:        %mkrel 2
Summary:        Python HTTP library with thread-safe connection pooling, file post, and more
License:        MIT
Group:          Development/Python
Url:            http://urllib3.readthedocs.org/
Source0:        %{module}-%{version}.tar.xz
Source1:        ssl_match_hostname_py3.py
Patch0:         remove_mock.patch
BuildArch:      noarch


%description
There are two critical features missing from the Python standard
library: Connection re-using/pooling and file posting. It's not
terribly hard to implement these yourself, but it's much easier to use
a module that already did the work for you.

The Python standard libraries urllib and urllib2 have little to do
with each other. They were designed to be independent and standalone,
each solving a different scope of problems, and urllib3 follows in a
similar vein.

%package -n     python3-%{module}
Summary:        Python 3 HTTP library with thread-safe connection pooling, file post, and more
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python-six

Requires:       python3-six
Requires:       rootcerts

%description -n python3-%{module}
There are two critical features missing from the Python standard
library: Connection re-using/pooling and file posting. It's not
terribly hard to implement these yourself, but it's much easier to use
a module that already did the work for you.

The Python standard libraries urllib and urllib2 have little to do
with each other. They were designed to be independent and standalone,
each solving a different scope of problems, and urllib3 follows in a
similar vein.

%prep
%setup -qn %{module}-%{version}

# drop bundled egg-info
rm -rf src/urllib3.egg-info/

%apply_patches
rm -rf test/with_dummyserver/

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

# dummyserver is part of the unittest framework
rm -rf %{buildroot}%{python3_sitelib}/dummyserver

rm -rf %{buildroot}%{python3_sitelib}/urllib3/packages/six.py*
rm -rf %{buildroot}%{python3_sitelib}/urllib3/packages/__pycache__/six*
rm -rf %{buildroot}%{python3_sitelib}/urllib3/packages/ssl_match_hostname/

mkdir -p %{buildroot}%{python3_sitelib}/urllib3/packages/
ln -s ../../six.py %{buildroot}%{python3_sitelib}/urllib3/packages/six.py
ln -s ../../../__pycache__/six.cpython-%{python3_version_nodots}.opt-1.pyc %{buildroot}/%{python3_sitelib}/urllib3/packages/__pycache__/
ln -s ../../../__pycache__/six.cpython-%{python3_version_nodots}.pyc %{buildroot}/%{python3_sitelib}/urllib3/packages/__pycache__/
cp %{SOURCE1} %{buildroot}%{python3_sitelib}/urllib3/packages/ssl_match_hostname.py


%files -n python3-%{module}
%doc LICENSE.txt CHANGES.rst README.rst
%{python3_sitelib}/*

%changelog
* Sat Mar 19 2022 TerryN <terryn94 at gmail.com> 1.26.9-2pclos2022
- 1.26.9

* Tue Mar 01 2022 TerryN <terryn94 at gmail.com> 1.26.8-1pclos2022
- update and rebuild for python 3.10

* Mon Apr 02 2018 marcin82 <fixxer1982 at gmail.com> 1.22-1pclos2018
- update

* Fri May 12 2017 bb2 <bb2> - 1.21.1-1pclos2017
- new version

* Mon May 08 2017 bb2 <bb2> -1.20-1pclos2017
- new version
